Bug 3095 - rename /etc/sysconfig/cbq/cbq-0000.example
: rename /etc/sysconfig/cbq/cbq-0000.example
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iproute2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-10-03 14:09 by
Modified: 2008-03-13 23:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-03 14:09:45
Необходимо переименовать cbq-0000.example во что-нибудь более другое, не
попадающее под маску поиска реальных конфигурационных файлов CBQ 'cbq-*'. На
данный момен существует проблема: после обновления iproute2 не поднимаются
CBQ-шэйперы, т.к. имя файла примера конфигурации имеет неверный формат - ID
CBQ-шэйпера не может быть равен 0. /etc/rc.d/init.d/cbq молча завершается.
Может
быть имеет смысл добавить туда хоть какую-то диагностику.
------- Comment #1 From 2003-10-13 22:09:07 -------
Fixed in upcoming iproute2-2.4.7-alt6.ss020116 
------- Comment #2 From 2003-11-07 13:14:27 -------
-not -name '*.*' не выход, потому что:
1) нарушен стандартный naming conversion, описанный во встроенной справке
2) перестали работать _все_ классы с точками, это значит их надо _все_
переименовывать
3) не отрабатыват PARENT в классах - они становятся листьями только 1:

Видимое решение - вернуть все как было, и перенести cbq-0000.example в
документацию, как это сделано с HTB

ps А возможно и разбить пакет на подпакеты типа cbq-shaper & htb-shaper с
зависимостями на iproute2. В каждом подпакете только своя документация, примеры
и %_initrddir
------- Comment #3 From 2003-11-07 13:33:40 -------
Тогда-уж для единообразия переименовать wondershaper в wonder-shaper и тоже
зависимость на iproute2. :-)
------- Comment #4 From 2003-11-12 16:36:20 -------
*** Bug 2446 has been marked as a duplicate of this bug. ***
------- Comment #5 From 2003-11-12 18:57:36 -------
Please check 
iproute2-2.4.7.20020116-alt3.i586.rpm 
iproute-cbq-0.7.2-alt1.noarch.rpm 
iproute-htb-0.8.4-alt1.noarch.rpm